import request from "@/utils/request";

// 查询安全监测受攻击统计列表
export function listTj(query) {
  return request({
    url: "/zongzhi/tj/list",
    method: "get",
    params: query,
  });
}

// 查询安全监测受攻击统计详细
export function getTj(id) {
  return request({
    url: "/zongzhi/tj/" + id,
    method: "get",
  });
}

// 新增安全监测受攻击统计
export function addTj(data) {
  return request({
    url: "/zongzhi/tj",
    method: "post",
    data: data,
  });
}

// 修改安全监测受攻击统计
export function updateTj(data) {
  return request({
    url: "/zongzhi/tj",
    method: "put",
    data: data,
  });
}

// 删除安全监测受攻击统计
export function delTj(id) {
  return request({
    url: "/zongzhi/tj/" + id,
    method: "delete",
  });
}

// 导出安全监测受攻击统计
export function exportTj(data) {
  return request({
    url: "/zongzhi/tj/export",
    method: "post",
    data,
  });
}
