import store from "@/store";

// 翻译区域
export function filterTown(ids) {
  if (ids && Array.isArray(ids)) {
    let data = store.getters.townList;
    const targetIds = ids;
    const results = [];
    filterNames(data, targetIds, results);
    return results.join(" / ");
  }
}

function filterNames(data, targetIds, results) {
  data.forEach((node, index) => {
    if (targetIds.includes(node.id)) {
      results.push(node.label);
    }
    const children = node.children;
    if (Array.isArray(children) && children.length > 0) {
      filterNames(children, targetIds, results);
    }
  });
}
